"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const action = {
    title: 'Identify User',
    description: 'Create or update a user in 1Flow.',
    defaultSubscription: 'type = "identify"',
    platform: 'web',
    fields: {
        userId: {
            description: 'A unique identifier for the user.',
            label: 'User ID',
            type: 'string',
            required: false,
            default: {
                '@path': '$.userId'
            }
        },
        traits: {
            description: "The user's custom attributes.",
            label: 'Custom Attributes',
            type: 'object',
            required: false,
            defaultObjectUI: 'keyvalue',
            default: {
                '@path': '$.traits'
            }
        }
    },
    perform: (_1flow, event) => {
        const { userId, traits } = event.payload;
        _1flow('identify', userId, {
            ...traits
        });
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map