"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.destination = void 0;
const tslib_1 = require("tslib");
const shim_1 = require("@segment/browser-destination-runtime/shim");
const trackEvent_1 = tslib_1.__importDefault(require("./trackEvent"));
const _1flow_1 = require("./1flow");
const identifyUser_1 = tslib_1.__importDefault(require("./identifyUser"));
const actions_core_1 = require("@segment/actions-core");
exports.destination = {
    name: '1Flow Web (Actions)',
    slug: 'actions-1flow',
    mode: 'device',
    description: 'Send analytics from Segment to 1Flow',
    settings: {
        projectApiKey: {
            description: 'This is the unique app_id for your 1Flow application, serving as the identifier for data storage and retrieval. This field is mandatory.',
            label: 'Project API Key',
            type: 'string',
            required: true
        }
    },
    presets: [
        {
            name: 'Track Event',
            subscribe: 'type = "track"',
            partnerAction: 'trackEvent',
            mapping: actions_core_1.defaultValues(trackEvent_1.default.fields),
            type: 'automatic'
        },
        {
            name: 'Identify User',
            subscribe: 'type = "identify"',
            partnerAction: 'identifyUser',
            mapping: actions_core_1.defaultValues(identifyUser_1.default.fields),
            type: 'automatic'
        }
    ],
    initialize: async ({ settings }, deps) => {
        const projectApiKey = settings.projectApiKey;
        _1flow_1.initScript({ projectApiKey });
        await deps.resolveWhen(() => Object.prototype.hasOwnProperty.call(window, '_1flow'), 100);
        return window._1flow;
    },
    actions: {
        trackEvent: trackEvent_1.default,
        identifyUser: identifyUser_1.default
    }
};
exports.default = shim_1.browserDestination(exports.destination);
//# sourceMappingURL=index.js.map